# 第5章サンプルコード

## 動作確認したバージョン

* Python：3.10
* towncrier：21.9.0

## 実行方法

* GitHubに新規リポジトリを作成します。リポジトリ名は`try-manage-releases`、リリースブランチ、デフォルトブランチは`main`とします。
* 本サンプルコードの`try-manage-releases`ディレクトリ配下のファイルを、作成したGitHubリポジトリへpushします。
* GitHubリポジトリのActionsページ（`https://github.com/{アカウント名}/try-manage-releases/actions`）からworkflowを実行します。

## ファイル説明

以下が「GitHub Actionsでリリースを自動化する」章で取り上げたコード例です。

* `try-manage-releases/pyproject.toml` : towncrierの設定ファイル
* `try-manage-releases/changelogs` : towncrierのニュースフラグメントを格納するディレクトリ
  * `123.feature.rst` : 動作確認用ニュースフラグメント
  * `234.model.rst` : 動作確認用ニュースフラグメント
  * `345.bugfix.rst` : 動作確認用ニュースフラグメント
  * `.gitignore` : ニュースフラグメントが1つも存在しないときもディレクトリを保持できるように配置したgitignoreファイル
* `try-manage-releases/.github/workflows` : GitHub Actionsのworkflowファイルを配置するディレクトリ
  * `automatic_release.yaml` : リリース作業を自動化するworkflow
    * 本紙では割愛したdeploy job、Slack通知jobも含みます。ただし、deploy step部分はアプリケーションやdeploy先環境によって方法が異なるため、割愛しています。
  * `automatic_release-pr_based-step1.yaml` : Branch protection rulesに対応するworkflow その1
    * こちらのファイルの冒頭に、「Branch protection rulesに対応するworkflow」全体の簡単な説明を記載しています。
  * `automatic_release-pr_based-step2.yaml` : Branch protection rulesに対応するworkflow その2
* `try-manage-releases/CHANGELOG.rst` : `automatic_release.yaml` を実行すると作成される Changelog の例

