# 第16章サンプルコード

## 仮想環境の作成

- Pythonのバージョン: 3.9.9

Windows（PowerShell）の場合
```
!!! cmd
> python -m venv venv
> Set-ExecutionPolicy RemoteSigned -Scope CurrentUser -Force
> venv\Scripts\activate.ps1
> pip install -r requirements.txt
```

macOSの場合
```
!!! cmd
$ python3 -m venv venv
$ source venv/bin/activate
$ pip install -r requirements.txt
```

## ファイル説明

以下が各節で取り上げたコードとデータです。

- `1.simple_assert.ipynb`: 節「assert文による簡単なチェック」で使うNotebook
- `2.pandas_assert.ipynb`: 節「pandasのテスト機能 ── pandas.testingモジュール」で使うNotebook
- `3.numpy_assert.ipynb` : 節「NumPyのテスト機能 ── numpy.testingモジュール」で使うNotebook
- `data`: サンプルデータ
- `exp_proj`: 節「Pythonモジュールに切り出し、pytestでテストの実行を自動化」で使うサンプルコードが格納されたフォルダ
- `requirements.txt` : 節「仮想環境の構築」で使う要件ファイル