import numpy as np


def const_mult_identity(size: int, n: int
) -> np.ndarray:
    # 指定したサイズの単位行列の定数倍を返す関数
    # 冗長な書き方
    a = np.zeros((size, size))
    for i in range(size):
        a[i][i] = n
    return a


# def const_mult_identity(size: int, n: int
# ) -> np.ndarray:
#     # 指定したサイズの単位行列の定数倍を返す関数
#     # より簡潔な書き方
#     return n * np.eye(size)


# def const_mult_identity(size: int, n: int
# ) -> np.ndarray:
#     # わざと間違えたコード（定数倍ではなく加算）
#     return n + np.eye(size)
